summaryrefslogtreecommitdiff
path: root/tests/lib/test-lvm-lv
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib/test-lvm-lv')
-rw-r--r--tests/lib/test-lvm-lv9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/lib/test-lvm-lv b/tests/lib/test-lvm-lv
new file mode 100644
index 0000000..2c6a6bc
--- /dev/null
+++ b/tests/lib/test-lvm-lv
@@ -0,0 +1,9 @@
+#!/bin/bash
+# $1 VG
+# $2 LV
+# $2 SIZE eg '800.00 MB'
+
+NAME="LOGICAL VOLUME CHECK, /dev/mapper/$1-$2"
+
+lvdisplay | grep -A 5 'LV Name.*/dev/mapper/'$1-$2 | grep -q available || exit 1
+lvdisplay | grep -A 7 'LV Name.*/dev/mapper/'$1-$2 | grep -q 'LV Size.*'"$2" || exit 2